[Armadeus-commitlog] SF.net SVN: armadeus:[1030] trunk/target/test/packages/test_strace.sh
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-01-28 14:48:17
|
Revision: 1030
http://armadeus.svn.sourceforge.net/armadeus/?rev=1030&view=rev
Author: artemys
Date: 2009-01-28 14:48:12 +0000 (Wed, 28 Jan 2009)
Log Message:
-----------
[TEST] Add a test for strace (to be improved)
Added Paths:
-----------
trunk/target/test/packages/test_strace.sh
Added: trunk/target/test/packages/test_strace.sh
===================================================================
--- trunk/target/test/packages/test_strace.sh (rev 0)
+++ trunk/target/test/packages/test_strace.sh 2009-01-28 14:48:12 UTC (rev 1030)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#
+# Script to test a Buildroot package for Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+EXEC_NAME="strace"
+
+
+test_strace()
+{
+ show_test_banner "strace"
+
+ is_package_installed $EXEC_NAME
+
+ if [ "$?" == 0 ]; then
+ # Launch it
+ $EXEC_NAME echo "HELLO !!"
+ if [ "$?" == 0 ]; then
+ echo_test_ok
+ exit 0
+ fi
+ fi
+ exit_failed
+}
+
+test_strace
+
Property changes on: trunk/target/test/packages/test_strace.sh
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|